POST api/NTCosCompany/PostCOSFormDocument
Request Information
URI Parameters
None.
Body Parameters
CustomCOSFormDocumentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| COSFormDocumentId | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 100 |
|
| Template | string |
String length: inclusive between 0 and 8000 |
|
| TemplateCode | string |
String length: inclusive between 0 and 5 |
|
| CorporationCode | string |
None. |
|
| IsCustom | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"COSFormDocumentId": 2,
"Name": "sample string 3",
"Template": "sample string 4",
"TemplateCode": "sample string 5",
"CorporationCode": "sample string 6",
"IsCustom": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:27.783679-07:00",
"DateUpdated": "2026-08-04T14:26:27.783679-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCustomCOSFormDocumentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CustomCOSFormDocumentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"COSFormDocumentId": 2,
"Name": "sample string 3",
"Template": "sample string 4",
"TemplateCode": "sample string 5",
"CorporationCode": "sample string 6",
"IsCustom": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:27.783679-07:00",
"DateUpdated": "2026-08-04T14:26:27.783679-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
"totalCount": 3
}